LibreOffice: GraphicObject Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GraphicObject Service Reference

The `GraphicObject` service can be used to create XGraphicObject instances. More...

`import"GraphicObject.idl";`

Inheritance diagram for GraphicObject:

## Public Member Functions
| create ()
| Creates an GraphicObject. More...
| createWithId ([in] string uniqueId)
| Creates an GraphicObject with `uniqueId` More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Additional Inherited Members
Public Attributes inherited from XGraphicObject
XGraphic | Graphic
| is the associated image/graphic for this object. More...
string | UniqueID
| is the id that can be used to form the `vnd.sun.star.GraphicObject` url to address this object. More...

## Detailed Description

The `GraphicObject` service can be used to create XGraphicObject instances.

XGraphicObject objects are accessible using GraphicObject scheme URLs like `vnd.sun.star.GraphicObject:10000000000001940000012FB99807BD`. As long as at least one instance of XGraphicObject with a particular UniqueID exists, the associated image/graphic is available.

See also
  GraphicObject
  GraphicProvider
  MediaProperties

## Member Function Documentation

create | ( |  | ) |

Creates an GraphicObject.

createWithId | ( | [in] string | uniqueId | ) |

Creates an GraphicObject with `uniqueId`

Parameters

  uniqueId | If another XGraphicObject with `uniqueId` exists, this GraphicObject is populated with the other GraphicObject's data.

The documentation for this service was generated from the following file:

- com/sun/star/graphic/GraphicObject.idl